curl --request GET \
--url https://api.hubapi.com/crm/pipelines/2026-03/{objectType}/{pipelineId} \
--header 'Authorization: Bearer <token>'{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"displayOrder": 123,
"id": "<string>",
"label": "<string>",
"stages": [
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"displayOrder": 123,
"id": "<string>",
"label": "<string>",
"metadata": {},
"updatedAt": "2023-11-07T05:31:56Z",
"writePermissions": "CRM_PERMISSIONS_ENFORCEMENT",
"archivedAt": "2023-11-07T05:31:56Z"
}
],
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z"
}Retourner un seul objet pipeline identifié par son unique {pipelineId}.
curl --request GET \
--url https://api.hubapi.com/crm/pipelines/2026-03/{objectType}/{pipelineId} \
--header 'Authorization: Bearer <token>'{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"displayOrder": 123,
"id": "<string>",
"label": "<string>",
"stages": [
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"displayOrder": 123,
"id": "<string>",
"label": "<string>",
"metadata": {},
"updatedAt": "2023-11-07T05:31:56Z",
"writePermissions": "CRM_PERMISSIONS_ENFORCEMENT",
"archivedAt": "2023-11-07T05:31:56Z"
}
],
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z"
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
successful operation
Si le pipeline est archivé.
La date de création du pipeline. Les pipelines par défaut auront créés à = 0.
L'ordre d'affichage de ce pipeline. Si deux pipelines ont un « displayOrder » correspondant, ils seront triés par ordre alphabétique par libellé.
Un identifiant unique généré par HubSpot qui peut être utilisé pour récupérer et mettre à jour le pipeline.
Un libellé unique utilisé pour organiser les pipelines dans l'interface utilisateur de HubSpot
Les étapes associées au pipeline. Elles peuvent être récupérées et mises à jour via les points de terminaison des étapes du pipeline.
Show child attributes
La date de la dernière mise à jour du pipeline.
La date à laquelle le pipeline a été archivé. archivedAt ne sera présent que si le pipeline est archivé.